> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rookoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a quote from an event



## OpenAPI

````yaml /openapi/application.json post /api/v1/accounts/{account_id}/planning/events/{event_id}/quotes
openapi: 3.0.4
info:
  title: Rookoo Application API
  description: >-
    Manage conversations, contacts, inboxes, planning, knowledge bases, MCP, and
    account settings on behalf of a user.
  version: 1.1.0
  termsOfService: https://www.rookoo.ai/terms-of-service/
  contact:
    email: hello@rookoo.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.rookoo.ai/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: OAuth Applications
    description: Account-scoped OAuth 2.0 clients
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Knowledge Bases
    description: Searchable knowledge bases and records
  - name: Planning Events
    description: Event planning and inquiries
  - name: Planning Allocations
    description: Space allocations and availability
  - name: Planning Quotes
    description: Quotes for planning events
  - name: Planning Rates
    description: Rate catalogue and prices
  - name: Planning Pricing
    description: Pricing plans, discount codes, and price preview/lock
  - name: Spaces
    description: Bookable spaces and rooms
  - name: Rookoo Agents
    description: Rookoo AI agent configuration
  - name: Copilot
    description: Copilot JWT and settings
  - name: MCP
    description: Model Context Protocol server endpoints
paths:
  /api/v1/accounts/{account_id}/planning/events/{event_id}/quotes:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - name: event_id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Planning Quotes
      summary: Create a quote from an event
      operationId: create-planning-quote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/planning_quote_create_update_payload'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/planning_quote'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    planning_quote_create_update_payload:
      type: object
      properties:
        name:
          type: string
        contact_id:
          type: integer
        company_id:
          type: integer
        valid_until:
          type: string
          format: date
        po_number:
          type: string
        notes:
          type: string
        discount_code_id:
          type: integer
        discount_code_ids:
          type: array
          items:
            type: integer
        customer_first_name:
          type: string
        customer_last_name:
          type: string
        customer_email:
          type: string
        company_name:
          type: string
        company_vat_number:
          type: string
        overrides:
          type: object
          properties:
            lines:
              type: array
              items:
                type: object
                additionalProperties: true
            additional_lines:
              type: array
              items:
                type: object
                additionalProperties: true
            optional_lines:
              type: array
              items:
                type: object
                additionalProperties: true
    planning_quote:
      type: object
      properties:
        id:
          type: integer
        account_id:
          type: integer
        planning_event_id:
          type: string
          format: uuid
        status:
          type: string
        version:
          type: integer
        name:
          type: string
          nullable: true
        po_number:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        contact_id:
          type: integer
          nullable: true
        company_id:
          type: integer
          nullable: true
        pricing_plan_id:
          type: integer
          nullable: true
        discount_code_id:
          type: integer
          nullable: true
        discount_code_ids:
          type: array
          items:
            type: integer
        currency:
          type: string
        total_incl_tax:
          type: number
        total_excl_tax:
          type: number
        total_tax:
          type: number
        breakdown:
          type: object
          additionalProperties: true
        overrides:
          type: object
          additionalProperties: true
        valid_until:
          type: string
          format: date
          nullable: true
        public_token:
          type: string
          nullable: true
        public_url:
          type: string
          nullable: true
        preview_url:
          type: string
          nullable: true
        download_url:
          type: string
          nullable: true
        quote_sent_at:
          type: string
          format: date-time
          nullable: true
        accepted_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.